//NetTalk
/*------------------------------------------------------------------------------*\
 =============================
   模块名称:AddrBook.h
 =============================
 
 [版权]
 
   2000-2002  115软件工厂  版权所有
                                              
\*------------------------------------------------------------------------------*/
#ifndef _ADDRBOOK_H_
#define _ADDRBOOK_H_
#include "GraphDlg.h"
//the modify dlg class define
class CModifyDlg:public CGraphDlg
{
public:
	virtual  ~CModifyDlg();
	CModifyDlg();

	char m_szName[64];
	char m_szIP[64];

protected:

	virtual LRESULT  WndProc(UINT uMsg,WPARAM wParam,LPARAM lParam);
};
//
class CAddrBook:public CGraphDlg
{
public:
	CAddrBook();
	virtual ~CAddrBook();

protected:
	
	BOOL m_bModify;

	void SaveList();
	void LoadList();

	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	virtual BOOL OnInitDialog();
	virtual LRESULT WndProc(UINT uMsg,WPARAM wParam,LPARAM lParam);
};


#endif